{#include base/head /}

      <main class="tg main -default" id="content">
      <div class="tgrep wrap">
        <div class="tgrep results">

            <h1>TextAPI for TextGrid {version}</h1>

            <h2>Docs</h2>
            <ul class="items">
                <li><a href="https://textapi.sub.uni-goettingen.de/page/specs/">TextAPI Spec</a></li>
                <li>
                  <a href="{serviceUrl}/openapi">OpenAPI doc</a> |
                  <a href="https://petstore.swagger.io/?url={serviceUrl}/openapi">Swagger UI</a>
                </li>
                <li>Report Bugs, check the source: <a href="https://gitlab.gwdg.de/dariah-de/textgridrep/tg-textapi">tg-textapi gitlab project</a></li>
            </ul>

            <h2>Examples</h2>
            <ul class="items">
                <li>Kurt - 1924:
                    <a href="https://textgridrep.org/textgrid:wp1j.0">im TextGridRep Portal</a> |
                    <a href="{serviceUrl}/textgrid:wp1j.0/manifest.json"> TextAPI Manifest</a> |
                    <a href="https://subugoe.pages.gwdg.de/emo/tido/main/examples/zero-config.html?manifest={serviceUrl}/textgrid:wp1j.0/manifest.json&show=0,3">TIDO</a> |
                    <a href="https://subugoe.github.io/tido/?manifest={serviceUrl}/textgrid:wp1j.0/manifest.json">TIDO v4</a>
                </li>
                <li>Jules - Romane:
                    <a href="https://textgridrep.org/textgrid:wr98.0">im TextGridRep Portal</a> |
                    <a href="{serviceUrl}/textgrid:wr98.0/manifest.json">TextAPI Manifest</a> |
                    <a href="https://subugoe.pages.gwdg.de/emo/tido/main/examples/zero-config.html?manifest={serviceUrl}/textgrid:wr98.0/manifest.json&show=0,3">TIDO</a> |
                    <a href="https://subugoe.github.io/tido/?manifest={serviceUrl}/textgrid:wr98.0/manifest.json">TIDO v4</a>
                </li>
                <li>Search for alice
                    <a href="https://textgridrep.org/search?q=alice">im TextGridRep Portal</a> |
                    <a href="https://textgridlab.org/1.0/tgsearch-public/search?q=alice">tg-search API</a> |
                    <a href="{serviceUrl}/search/collection.json?q=alice">TextAPI Manifest (QueryString)</a> |
                    <a href="{serviceUrl}/search/alice/collection.json">TextAPI Manifest (PathParam)</a> |
                    <a href="https://subugoe.pages.gwdg.de/emo/tido/main/examples/zero-config.html?collection={serviceUrl}/search/alice/collection.json&show=0,3">TIDO</a> |
                    <a href="https://subugoe.github.io/tido/?manifest={serviceUrl}?collection={serviceUrl}/search/alice/collection.json">TIDO v4</a>
                </li>
                <li><a href="{serviceUrl}/project/TGPR-439779b8-db54-e35b-b8e5-590ae9bd74e9">Object list for Architrave project </a></li>
            </ul>

            <h2>Validation Forms</h2>
            <p>For validation with <a href="https://gitlab.gwdg.de/subugoe/textapi/validation">TextAPI validation service</a>.</p>
            <ul>
                <li>Kurt - 1924:
                    <form method="post"
                          action="{validatorUrl}/?url={serviceUrl}/textgrid:wp1j.0/manifest.json&recursive=true">
                        <button>validate</button>
                    </form>
                </li>
                <li>Jules - Romane:
                    <form method="post"
                          action="{validatorUrl}/?url={serviceUrl}/textgrid:wr98.0/manifest.json&recursive=true">
                        <button>validate</button>
                    </form>
                </li>
                <li>Search for alice
                    <form method="post"
                          action="{validatorUrl}/?url={serviceUrl}/search/alice/collection.json&recursive=true">
                        <button>validate</button>
                    </form>
                </li>
            </ul>

            {#if devmode}
            <h2>DEV helpers</h2>
            <ul>
              <li><a href="http://localhost:8080/q/swagger-ui">swagger ui</a></li>
              <li><a href="http://localhost:8080/q/dev-ui">dev ui</a></li>
            </ul>
            {/if}

        </div>
    </div>
    </main>

{#include base/foot /}
